{ pkgs, ... }:
{

  services.caddy = {
    enable = true;
    virtualHosts = {
      "https://git.huwe.mooo.com" = {
        extraConfig = "reverse_proxy localhost:3000";
      };
      "https://files.huwe.mooo.com" = {
        extraConfig = ''
          root * /var/www/file_server
          file_server
        '';
      };
      "https://cal.huwe.mooo.com" = {
        extraConfig = "reverse_proxy localhost:8000";
      };
      "https://huwe.mooo.com" = {
        extraConfig = ''
          reverse_proxy /_matrix/* localhost:8008
          reverse_proxy /_synapse/client/* localhost:8008
        '';
      };
    };
  };
}
