{ ... }:
{

  imports = [

    ./caddy.nix
    ./disko.nix
    ./data.nix
    ./firewall.nix
    ./forgejo.nix
    ./hardware-configuration.nix
    ./homeassistant.nix
    ./invidious.nix
    ./minecraft.nix
    ./nfs.nix
    #./radicale.nix
    ./synapse.nix
    ./vaultwarden.nix

    ../../modules/common
    ../../modules/nixos
    ../../modules/home-manager
    ../../modules/sops
    ../../modules/stylix

  ];

  server.enable = true;

  common = {

    builder.enable = true;

    syncthing = {
      enable = true;
      basePath = "/mnt/data/services/syncthing/data";
      devices = {
        Lenni = { id = "SFLFN6P-FSNJWEG-6TNOR7W-7MVB7NJ-KCGUJ7F-QUNACJ2-ACDZ47P-Q463XQI"; };
        Puenktchen = { id = "REVJKI3-3QYKRZN-QDKQ24V-UNZQ4L2-R7XHQCE-N4H3FSY-IARCHM3-PMWBJQP"; };
        Damin = { id = "HAGKFGG-EMCPKHG-Y7V2ACJ-DJVAIIA-A6TNGTQ-VWPB3F5-PES673W-W2YBJAD"; };
      };
    };
  };

}
